%define major_version 1.1
%define minor_version 17
%define dist          .el7dsrv

Name: idm-console-framework
Version: %{major_version}.%{minor_version}
Release: 1%{?dist}
Summary: Identity Management Console Framework

Group: System Environment/Libraries
License: LGPLv2
URL: https://www.redhat.com/directory_server/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Source: https://port389.org/binaries/%{name}-%{version}.tar.bz2
Requires: ldapjdk
Requires: jss >= 4.2.6-35
# Urge use of OpenJDK for runtime
Requires: java >= 1.8.0
BuildRequires: java-devel >= 1.8.0
BuildRequires: ant >= 1.6.2
BuildRequires: ldapjdk
BuildRequires: jss >=  4.2.6-35

%description
A Java Management Console framework used for remote server management.

%prep
%setup -q

%build
%{ant} \
    -Dlib.dir=%{_libdir} \
    -Dbuilt.dir=`pwd`/built \
    -Dclassdest=%{_javadir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/release/jars/idm-console-* $RPM_BUILD_ROOT%{_javadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_javadir}/idm-console-base.jar
%{_javadir}/idm-console-mcc.jar
%{_javadir}/idm-console-mcc_en.jar
%{_javadir}/idm-console-nmclf.jar
%{_javadir}/idm-console-nmclf_en.jar

%changelog
* Sun Oct  9 2016 Noriko Hosoi <nhosoi@redhat.com> - 1.1.17-1.el7dsrv
- Release 1.1.17
- Resolves #1376823 - Click on member tab in role attribute gives an error pop-up without any error message. (DS 49003)

* Thu Aug 25 2016 Noriko Hosoi <nhosoi@redhat.com> - 1.1.16-2.el7dsrv
- Release 1.1.16
- Replacing a source tarball with the correct version 1.1.16.

* Thu Aug 25 2016 Noriko Hosoi <nhosoi@redhat.com> - 1.1.16-1.el7dsrv
- Release 1.1.16
- Resolves #Bug 1276362 - RHDS Admin Console enables unsupported Ciphers by default (DS 48743)
- Resolves #Bug 1306303 - Provide better error message in console when there is architecture mismatch (DS 48565)
- Resolves #Bug 1328910 - Fix form validation for IPv6 in Console (DS 48823)
- Resolves #Bug 1331891 - Console window could be hidden after login via consoles on multiple hosts (DS 48811)

* Wed May 27 2015 Noriko Hosoi <nhosoi@redhat.com> - 1.1.14-1.el7dsrv
- Release 1.1.14
- Resolves #Bug 1225042 - Adding an OU from console is throwing missing attribute aliasedObjectName error (DS 48187)

* Thu May 14 2015 Noriko Hosoi <nhosoi@redhat.com> - 1.1.13-1.el7dsrv
- Release 1.1.13
- Resolves #Bug 1201586 - Directory Server Admin Console: plaintext password logged in debug mode (DS 48134)
- Resolves #Bug 1049374 - Adding an ACI from the GUI removes broken ACIs (DS 47946)

* Tue Apr 28 2015 Noriko Hosoi <nhosoi@redhat.com> - 1.1.12-1.el7dsrv
- Bump version to 1.1.12
- Resolves #Bug 1215799 - Need to revise console aci syntax checking (DS 47946)

* Wed Apr 15 2015 Noriko Hosoi <nhosoi@redhat.com> - 1.1.11-1.el7dsrv
- Bump version to 1.1.11
- Resolves #Bug 531870 - 389-console should provide usage options, help, and man pages (DS 97)

* Wed Mar 18 2015 Noriko Hosoi <nhosoi@redhat.com> - 1.1.10-1.el7dsrv
- Bump version to 1.1.10
- Resolves #1203411 - Add "+all" and "-TLS_RSA_WITH_AES_128_GCM_SHA256" to Console Cipher Preference for TLS (DS 48130)
- Resolves #1201586 - Directory Server Admin Console: plaintext password logged in debug mode (DS 48134)

* Tue Dec  9 2014 Noriko Hosoi <nhosoi@redhat.com> - 1.1.9-1.el7dsrv
- Bump version to 1.1.9
- Ticket 47929 - idm-console-framework - set default min to tls1.0
- Ticket 47946 - ACI's are replaced by "ACI_ALL" after editing group of ACI's including invalid one
- Ticket 47929 - Console - add tls1.1 support
- Ticket 47472 - Entries cannot be highlighted in the "Edit Aci" Rights panel
- Ticket 47364 - Console does not support passwords containing  8-bit characters
- Ticket 47604 - idm-console-framework: remove versioned jars from %{_javadir}
- Ticket 47480 - Admin Console "server restart dialog" disppears after clicking OK
- Ticket 47467 - Improve CRL import dialog text
- Ticket 362   - Directory Console generates insufficient key strength

* Fri Aug 29 2014 Mark Reynolds <mreynolds@redhat.com> - 1.1.7-4
- Bug 1022104 - Do not use versioned jars

* Fri Oct 25 2013 Kevin Wright <kwright@redhat.com> - 1.1.7-3.el7dsrv
- adding el7dsrv dist

* Tue Jun 21 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-2
- using new upstream git repo at fedorahosted.org
- git tag idm-console-framework-1.1.7
- Use DefaultTopologyPlugin if topologyplugin not found in the DS
- Bug 706472 - [console] java exception throw in UI, but user gets created
- Bug 706258 - ACI Editor dialog flickers

* Tue Mar 29 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.7-1
- The 1.1.7 release
- Bug 158926 - Unable to install CA certificate when using hardware token
-             ( LunaSA )
- Bug 622436 - Removal of Security:domestic from Console
- Bug 229699 - objectclass without parent causes StringIndexOutOfBounds in console
- Bug 583652 - Console caches magic numbers instead of DNA-generated values

* Wed Feb 23 2011 Rich Megginson <rmeggins@redhat.com> - 1.1.6-1
- The 1.1.6 release
- Bug: 594939 - ACI editing dialog initial size is not big enough to display
- Bug 151705 - Need to update Console Cipher Preferences with new ciphers
- fix fourth step of cert wizard for installing cert
- Bug 668950 - Add posixGroup support to Console
- Bug 583652 - Console caches magic numbers instead of DNA-generated values

* Tue May  4 2010 Rich Megginson <rmeggins@redhat.com> - 1.1.5-1
- The 1.1.5 release - added code to deal with LDAPv3 escape sequences

* Tue Mar  3 2009 Nathan Kinder <nkinder@redhat.com> 1.1.3-9
- Updated URL

* Mon Feb  9 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-8
- rebuild to pick up some bug fixes

* Tue Jan  6 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-7
- use the epoch with the java-devel version

- added build requires for java-1.6.0
* Mon Jan  5 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-6
- added build requires for java-1.6.0

* Mon Dec 22 2008 Rich Megginson <rmeggins@redhat.com> 1.1.3-5
- add build requires and requires for java 1.6.0 - otherwise get this error during build:
- [javac] bad class file: /usr/lib/java/jss4.jar(org/mozilla/jss/ssl/SSLSocket.class)
- [javac] class file has wrong version 50.0, should be 49.0

* Mon Dec 22 2008 Rich Megginson <rmeggins@redhat.com> 1.1.3-4
- bump rev to force rebuild

* Mon Dec 22 2008 Rich Megginson <rmeggins@redhat.com> 1.1.3-1
- the new and improved 1.1.3 release - FedoraConsoleFramework_1_1_3 FedoraConsoleFramework_1_1_3_20081222

* Tue Dec  2 2008 Rich Megginson <rmeggins@redhat.com> 1.1.2-1
- updated to 1.1.2 - FedoraConsoleFramework_1_1_2

* Mon Dec 10 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-7
- Updated sources.

* Wed Nov 21 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-6
- Moved doc home link into theme package.
- Fixed incorrect labels.
- Changed login help to a dialog box.

* Tue Oct 16 2007 Margaret Lum <mlum@redhat.com> 1.1.0-5
- Update release number.
- Fix brewbuilder warnings.

* Thu Sep 06 2007 Margaret Lum <mlum@redhat.com> 1.1.0-3
- Use JSS build #37, built with 1.4.2 jdk.
 
* Mon Aug 20 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-2
- Updated sources.

* Wed Aug  1 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-1
- Initial creation (based on old fedora-idm-console package).
